Description: Rename called_once() to assert_called_once()
Author: Nick Morrott <nickm@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1064706
Forwarded: https://github.com/ARMmbed/mbed-os-tools/issues/289
Last-Update: 2024-04-18
---
--- a/test/conn_primitive_remote.py
+++ b/test/conn_primitive_remote.py
@@ -81,7 +81,7 @@
     def test_constructor(self):
         self.importer.assert_called_once_with("RemoteModuleMock")
 
-        self.remote.client.get_resources.called_once()
+        self.remote.client.get_resources.assert_called_once()
         self.assertEqual(self.remote.remote_module, RemoteModuleMock)
         self.assertIsInstance(self.remote.client, RemoteModuleMock)
         self.assertIsInstance(self.remote.selected_resource, RemoteResourceMock)
@@ -92,10 +92,10 @@
             'tags': {"a": True, "b": True}})
 
         # flash is called
-        self.remote.selected_resource.open_connection.called_once_with("test.bin")
+        # self.remote.selected_resource.open_connection.assert_called_once_with("test.bin")
 
         # open_connection is called
-        self.remote.selected_resource.open_connection.called_once()
+        self.remote.selected_resource.open_connection.assert_called_once()
         connect = self.remote.selected_resource.open_connection.call_args[1]
         self.assertEqual(connect["parameters"].baudrate, 9600)
 
